CVE-2007-6063

MEDIUM

Description

Buffer overflow in the isdn_net_setcfg function in isdn_net.c in Linux kernel 2.6.23 allows local users to have an unknown impact via a crafted argument to the isdn_ioctl function.

References

http://bugzilla.kernel.org/show_bug.cgi?id=9416

http://lists.opensuse.org/opensuse-security-announce/2007-12/msg00001.html

http://lists.opensuse.org/opensuse-security-announce/2008-02/msg00002.html

http://rhn.redhat.com/errata/RHSA-2008-0055.html

http://secunia.com/advisories/27842

http://secunia.com/advisories/27912

http://secunia.com/advisories/28141

http://secunia.com/advisories/28706

http://secunia.com/advisories/28748

http://secunia.com/advisories/28806

http://secunia.com/advisories/28971

http://secunia.com/advisories/29058

http://secunia.com/advisories/29236

http://secunia.com/advisories/33201

http://secunia.com/advisories/33280

http://www.debian.org/security/2007/dsa-1436

http://www.debian.org/security/2008/dsa-1503

http://www.debian.org/security/2008/dsa-1504

http://www.mandriva.com/security/advisories?name=MDVSA-2008:008

http://www.mandriva.com/security/advisories?name=MDVSA-2008:112

http://www.redhat.com/support/errata/RHSA-2008-0154.html

http://www.redhat.com/support/errata/RHSA-2008-0787.html

http://www.redhat.com/support/errata/RHSA-2008-0973.html

http://www.securityfocus.com/bid/26605

http://www.ubuntu.com/usn/usn-574-1

http://www.ubuntu.com/usn/usn-578-1

http://www.vupen.com/english/advisories/2007/4046

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6514

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9846

Details

Source: MITRE

Published: 2007-11-21

Updated: 2017-09-29

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 6.9

Vector: AV:L/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 3.4

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:2.6.23:*:*:*:*:*:*:*

Tenable Plugins

View all (28 total)

IDNameProductFamilySeverity
89116VMware ESX / ESXi Multiple Vulnerabilities (VMSA-2009-0014) (remote check)NessusMisc.
critical
79447OracleVM 2.1 : kernel (OVMSA-2008-2005)NessusOracleVM Local Security Checks
high
67763Oracle Linux 3 : kernel (ELSA-2008-0973)NessusOracle Linux Local Security Checks
high
67659Oracle Linux 5 : kernel (ELSA-2008-0154)NessusOracle Linux Local Security Checks
high
67641Oracle Linux 4 : kernel (ELSA-2008-0055)NessusOracle Linux Local Security Checks
high
60507Scientific Linux Security Update : kernel on SL3.x i386/x86_64NessusScientific Linux Local Security Checks
high
60370Scientific Linux Security Update : kernel on SL5.x i386/x86_64NessusScientific Linux Local Security Checks
high
60354Scientific Linux Security Update : kernel on SL4.x i386/x86_64NessusScientific Linux Local Security Checks
high
59125SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 4745)NessusSuSE Local Security Checks
high
43674CentOS 4 / 5 : kernel (CESA-2008:0154)NessusCentOS Local Security Checks
high
42179VMSA-2009-0014 : VMware ESX patches for DHCP, Service Console kernel, and JRE resolve multiple security issuesNessusVMware ESX Local Security Checks
critical
36852Mandriva Linux Security Advisory : kernel (MDVSA-2008:112)NessusMandriva Local Security Checks
high
35323RHEL 2.1 : kernel (RHSA-2009:0001)NessusRed Hat Local Security Checks
high
35190RHEL 3 : kernel (RHSA-2008:0973)NessusRed Hat Local Security Checks
high
35186CentOS 3 : kernel (CESA-2008:0973)NessusCentOS Local Security Checks
high
31388RHEL 5 : kernel (RHSA-2008:0154)NessusRed Hat Local Security Checks
high
31148Debian DSA-1504-1 : kernel-source-2.6.8 - several vulnerabilitiesNessusDebian Local Security Checks
high
31147Debian DSA-1503-1 : kernel-source-2.4.27 - several vulnerabilitiesNessusDebian Local Security Checks
high
31093Ubuntu 6.06 LTS : linux-source-2.6.15 vulnerabilities (USN-578-1)NessusUbuntu Local Security Checks
high
30183Ubuntu 6.10 / 7.04 / 7.10 : linux-source-2.6.17/20/22 vulnerabilities (USN-574-1)NessusUbuntu Local Security Checks
high
30154CentOS 4 : kernel (CESA-2008:0055)NessusCentOS Local Security Checks
high
30142openSUSE 10 Security Update : kernel (kernel-4929)NessusSuSE Local Security Checks
high
30140RHEL 4 : kernel (RHSA-2008:0055)NessusRed Hat Local Security Checks
high
29880openSUSE 10 Security Update : kernel (kernel-4752)NessusSuSE Local Security Checks
high
29756Debian DSA-1436-1 : linux-2.6 - several vulnerabilitiesNessusDebian Local Security Checks
high
29489SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 4741)NessusSuSE Local Security Checks
high
801460CentOS RHSA-2008-0973 Security CheckLog Correlation EngineGeneric
high
801444CentOS RHSA-2008-0055 Security CheckLog Correlation EngineGeneric
high